Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher.search
Class SearchParameter

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.search.SearchParameter

public class SearchParameter
extends java.lang.Object

Clase que modela un parametro de búsqueda El parametro de búsqueda tiene: Nombre: Nombre del parametro Descripcion: Descripcion del parámetro Operador: Operación que se realiza sobre el parametro de búsqueda Las operaciones soportadas son: EQ,NEQ,GT,LT,GTE,LTE,LIKE,BETWEEN,ANY,ALL Valor: Valor del parametro que puede ser: - Simple: Un texto o una fecha - Complejo: Valor con su descripcion: ej combos Lista de valores con descripcion: ej lista de seleccion multiple

Field Summary
`static int` | `OPERATOR_ALL`
`static int` | `OPERATOR_ANY`
`static int` | `OPERATOR_BETWEEN`
`static int` | `OPERATOR_EQ`
`static int` | `OPERATOR_GT`
`static int` | `OPERATOR_GTE`
`static int` | `OPERATOR_LIKE`
`static int` | `OPERATOR_LT`
`static int` | `OPERATOR_LTE`
`static int` | `OPERATOR_NEQ`

Constructor Summary
`SearchParameter()` Creates new SearchParam
`SearchParameter(java.lang.String newParameterName, java.lang.String newParameterDescription)` Constructor de un parametro sin valor ni operador
`SearchParameter(java.lang.String newParameterName, java.lang.String newParameterDescription, int newOperator)` Constructor de un parametro sin valor pero con operador
`SearchParameter(java.lang.String newParameterName, java.lang.String newParameterDescription, int newOperator, java.lang.String newValue)` Constructor de un parametro de busqueda sencillo (texto), caso de textos o fecha incluyendo el valor del parametro y el operador
`SearchParameter(java.lang.String newParameterName, java.lang.String newParameterDescription, int newOperator, java.lang.String[] newValues)` Constructor de un parametro de busqueda tipo lista de valores
`SearchParameter(java.lang.String newParameterName, java.lang.String newParameterDescription, int newOperator, java.lang.String[] newValues, java.lang.String[] newValuesDescriptions)` Constructor de un parametro de busqueda tipo lista de valores con descripcion
`SearchParameter(java.lang.String newParameterName, java.lang.String newParameterDescription, int newOperator, java.lang.String newValue, java.lang.String newValueDescription)` Constructor de un parametro de busqueda complejo (codigo:texto), caso de combos incluyendo el valor y el operador

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getValue()`
`java.lang.String` | `toString()` Obtiene la descripción de un parametro de búsqueda

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPERATOR_EQ

    public static final int OPERATOR_EQ

See Also:
  Constant Field Values

### OPERATOR_NEQ

    public static final int OPERATOR_NEQ

See Also:
  Constant Field Values

### OPERATOR_GT

    public static final int OPERATOR_GT

See Also:
  Constant Field Values

### OPERATOR_GTE

    public static final int OPERATOR_GTE

See Also:
  Constant Field Values

### OPERATOR_LT

    public static final int OPERATOR_LT

See Also:
  Constant Field Values

### OPERATOR_LTE

    public static final int OPERATOR_LTE

See Also:
  Constant Field Values

### OPERATOR_LIKE

    public static final int OPERATOR_LIKE

See Also:
  Constant Field Values

### OPERATOR_BETWEEN

    public static final int OPERATOR_BETWEEN

See Also:
  Constant Field Values

### OPERATOR_ANY

    public static final int OPERATOR_ANY

See Also:
  Constant Field Values

### OPERATOR_ALL

    public static final int OPERATOR_ALL

See Also:
  Constant Field Values

Constructor Detail

### SearchParameter

    public SearchParameter()

  Creates new SearchParam

### SearchParameter

    public SearchParameter(java.lang.String newParameterName,
                           java.lang.String newParameterDescription)

  Constructor de un parametro sin valor ni operador

### SearchParameter

    public SearchParameter(java.lang.String newParameterName,
                           java.lang.String newParameterDescription,
                           int newOperator)

  Constructor de un parametro sin valor pero con operador

### SearchParameter

    public SearchParameter(java.lang.String newParameterName,
                           java.lang.String newParameterDescription,
                           int newOperator,
                           java.lang.String newValue)

  Constructor de un parametro de busqueda sencillo (texto), caso de textos o fecha incluyendo el valor del parametro y el operador

### SearchParameter

    public SearchParameter(java.lang.String newParameterName,
                           java.lang.String newParameterDescription,
                           int newOperator,
                           java.lang.String newValue,
                           java.lang.String newValueDescription)

  Constructor de un parametro de busqueda complejo (codigo:texto), caso de combos incluyendo el valor y el operador

### SearchParameter

    public SearchParameter(java.lang.String newParameterName,
                           java.lang.String newParameterDescription,
                           int newOperator,
                           java.lang.String[] newValues)

  Constructor de un parametro de busqueda tipo lista de valores

### SearchParameter

    public SearchParameter(java.lang.String newParameterName,
                           java.lang.String newParameterDescription,
                           int newOperator,
                           java.lang.String[] newValues,
                           java.lang.String[] newValuesDescriptions)

  Constructor de un parametro de busqueda tipo lista de valores con descripcion

Method Detail

### getValue

    public java.lang.String getValue()

### getDescription

    public java.lang.String getDescription()

### toString

    public java.lang.String toString()

  Obtiene la descripción de un parametro de búsqueda

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD